# StepElement_EnumeratedSurfaceElementPurpose.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepElement_EnumeratedSurfaceElementPurpose { StepElement_MembraneDirect, StepElement_MembraneShear, StepElement_BendingDirect, StepElement_BendingTorsion, StepElement_NormalToPlaneShear }

## Enumeration Type Documentation

enum StepElement_EnumeratedSurfaceElementPurpose

Enumeration values:

  StepElement_MembraneDirect |
  StepElement_MembraneShear |
  StepElement_BendingDirect |
  StepElement_BendingTorsion |
  StepElement_NormalToPlaneShear |